View Issue Details

IDProjectCategoryView StatusLast Update
0017094LazarusWidgetsetpublic2010-08-13 10:46
ReporterDRIGUS GmbHAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0017094: [WinCE] Compiled projects stopped running
DescriptionI just update from snapshot r26658 to snapshot r26984 and our Lazarus projects stopped working. Even a new empty project doesn't run on our ARM device.

There are no errors during compiling. The last line in the debugger output is

~"Uploading file to device: \\gdb\\project1.exe\n"

There is no error message on the device. Even if I copy the compiled project manually on the device and start it from the Explorer I get no message, the application seems to do nothing.
Additional InformationLazarus 0.9.29 r26984 FPC 2.4.3 i386-win32-win32/win64
Windows Embedded CE 6.0
TagsNo tags attached.
Fixed in Revision27042
LazTarget0.9.30
WidgetsetWinCE
Attached Files

Activities

Felipe Monteiro de Carvalho

2010-08-03 10:33

developer   ~0039933

Last edited: 2010-08-03 10:33

It was writing some debug info even if not debug defines were active. Maybe it failed writing to this debug file. Please try with rev > 26988

DRIGUS GmbH

2010-08-04 08:46

reporter   ~0039970

Last edited: 2010-08-04 08:49

Lazarus 0.9.29 r27003 FPC 2.4.3 i386-win32-win32/win64
Downloaded new snapshot, but the problem still exists.

And there is still no line like
~"Starting on device: \"\\gdb\\project1.exe \"\n"
in the debug output.

Could it be a new dependency? Perhaps a missing DLL?

Felipe Monteiro de Carvalho

2010-08-04 21:15

developer   ~0039987

No, I didn't change anything about dependencies and such... very wierd. Could you try the FPC 2.4.0 snapshot? If it also doesn't work, I would recommend that you start using svn Lazarus instead of a snapshot. There is a lengthy explanation about how to do that in this bug report:

http://bugs.freepascal.org/view.php?id=16435

I use svn Lazarus and everything works as usual ...

DRIGUS GmbH

2010-08-05 08:26

reporter   ~0039997

I bookmarked the URI.

I can't try the FPC 2.4.0 snapshot or SVN before next week. Perhaps it is a good idea to close this issue until then and open a new one later if the problem still exists.

Just leave a note.

Felipe Monteiro de Carvalho

2010-08-05 12:03

developer   ~0039999

I prefer to keep this open until you can retest

Felipe Monteiro de Carvalho

2010-08-09 10:07

developer   ~0040085

In rev 27042 I changed SHSendBackToFocusWindow to dynamic loading. That was the problem of another guy in the forum, maybe that was your problem too? Try with any rev after that and it should work.

Reference to forum discussion: http://forum.lazarus.freepascal.org/index.php/topic,10092.msg49917.html#msg49917

Felipe Monteiro de Carvalho

2010-08-10 14:07

developer   ~0040111

Just reopen if not yet fixed

DRIGUS GmbH

2010-08-13 10:46

reporter   ~0040178

Fixed, thanks.

Issue History

Date Modified Username Field Change
2010-08-03 10:13 DRIGUS GmbH New Issue
2010-08-03 10:13 DRIGUS GmbH Widgetset => WinCE
2010-08-03 10:14 Vincent Snijders LazTarget => 0.9.30
2010-08-03 10:14 Vincent Snijders Assigned To => Felipe Monteiro de Carvalho
2010-08-03 10:14 Vincent Snijders Status new => assigned
2010-08-03 10:14 Vincent Snijders Target Version => 0.9.30
2010-08-03 10:33 Felipe Monteiro de Carvalho Note Added: 0039933
2010-08-03 10:33 Felipe Monteiro de Carvalho Note Edited: 0039933
2010-08-03 22:15 Felipe Monteiro de Carvalho Status assigned => feedback
2010-08-04 08:46 DRIGUS GmbH Note Added: 0039970
2010-08-04 08:47 DRIGUS GmbH Note Edited: 0039970
2010-08-04 08:49 DRIGUS GmbH Note Edited: 0039970
2010-08-04 21:15 Felipe Monteiro de Carvalho Note Added: 0039987
2010-08-05 08:26 DRIGUS GmbH Note Added: 0039997
2010-08-05 12:03 Felipe Monteiro de Carvalho Note Added: 0039999
2010-08-09 10:07 Felipe Monteiro de Carvalho Note Added: 0040085
2010-08-10 14:07 Felipe Monteiro de Carvalho Fixed in Revision => 27042
2010-08-10 14:07 Felipe Monteiro de Carvalho Status feedback => resolved
2010-08-10 14:07 Felipe Monteiro de Carvalho Fixed in Version => 0.9.29 (SVN)
2010-08-10 14:07 Felipe Monteiro de Carvalho Resolution open => fixed
2010-08-10 14:07 Felipe Monteiro de Carvalho Note Added: 0040111
2010-08-13 10:46 DRIGUS GmbH Status resolved => closed
2010-08-13 10:46 DRIGUS GmbH Note Added: 0040178